module visible(clk, rst, sec);

input clk, rst;
output reg sec;

reg [21:0] scale;

always@ (posedge clk)
	begin
	if (!rst)
		begin
		scale <= 0;
		sec <= 0;
		end
	else if (scale == 22'd2499999)
		begin
		scale <= 0;
		sec <= 1'b1;
		end
	else
		begin
		scale <= scale + 1;
		sec <= 0;
		end
	end
endmodule

//reg [24:0] scale;
//
//always@ (posedge clk)
//	begin
//	if (!rst)
//		begin
//		scale <= 0;
//		sec <= 0;
//		end
//	else if (scale == 25'd24999999)
//		begin
//		scale <= 0;
//		sec <= 1'b1;
//		end
//	else
//		begin
//		scale <= scale + 1;
//		sec <= 0;
//		end
//	end
//endmodule


//reg [4:0] scale;
//
//always@ (posedge clk)
//	begin
//	if (!rst)
//		begin
//		scale <= 0;
//		sec <= 0;
//		end
//	else if (scale == 5'd24)
//		begin
//		scale <= 0;
//		sec <= 1'b1;
//		end
//	else
//		begin
//		scale <= scale + 1;
//		sec <= 0;
//		end
//	end
//endmodule
